Skip to content
This is a new version of the Kivra Developer Docs. Report issues or share feedback at avsandare.support@kivra.se. The previous version can be found here.

Register a new Expense Management System(EMS)

POST
/dr/v1/expense/register
curl --request POST \
--url https://sender.sandbox-api.kivra.com/dr/v1/expense/register \
--header 'Content-Type: application/json' \
--data '{ "external_id": "0123456789abcdef0123456789abcdef01234567890", "name": "Company Expense", "icon_url": "https://www.ems.se/icon", "url": "https://api.ems.se/v1" }'

Access scope

  • EMS

Takes in a expense management object with required information to create a new expense management system

Media typeapplication/json
RegisterEMS
object
external_id

External ID of the expense management system that identifies it in foreign system

string
name

The name of the expense management system

string
>= 1 characters
url

A URL that points to the root URL of the foreign EMS API

string
icon_url

An optional icon URL that represents the full URL to an icon belonging to the EMS

string
Example
{
"external_id": "0123456789abcdef0123456789abcdef01234567890",
"name": "Company Expense",
"icon_url": "https://www.ems.se/icon",
"url": "https://api.ems.se/v1"
}

Expense management sucessfully created

Bad request

Media typeapplication/json
ErrorResponse
object
error_code
string
short_message
string
long_message
string
error_detail
Array<string>
Examples
Exampleunauthorized
{
"error_code": "40000",
"short_message": "bad request",
"long_message": "body s missing required fields or has invalid fields"
}

Internal server error

Media typeapplication/json
ErrorResponse
object
error_code
string
short_message
string
long_message
string
error_detail
Array<string>
Example
{
"error_code": "50000",
"short_message": "internal server error",
"long_message": "unknown error ocurred"
}